Get transfer configuration | Moov Documentation

Get transfer configuration

Get the transfer config for an account.

API Endpoint

GET /accounts/{accountID}/transfer-config

Example Requests

cURL

curl -X GET "https://api.moov.io/accounts/{accountID}/transfer-config" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Go

mc, _ := moov.NewClient()

var accountID string

mc.GetTransferConfig(ctx, accountID)

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transferConfig.get({
    accountID: "<id>",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->transferConfig->get(
    accountID: '<id>'
);

if ($response->transferConfig !== null) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTransferConfigResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetTransferConfigResponse res = sdk.transferConfig().get()
                .accountID("<id>")
                .call();

if (res.transferConfig().isPresent()) {
            System.out.println(res.transferConfig().get());
        }
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.transfer_config.get(account_id="<id>")

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.transfer_config.get(account_id: '<id>')

unless res.transfer_config.nil?
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.TransferConfig.GetAsync(accountID: "<id>");

// handle response

Fixed amount tip config

{
  "tipPresets": {
    "fixedAmountOptions": [
      {
        "currency": "USD",
        "valueDecimal": "1.00"
      },
      {
        "currency": "USD",
        "valueDecimal": "2.00"
      },
      {
        "currency": "USD",
        "valueDecimal": "5.00"
      }
    ]
  }
}

Percentage tip config

{
  "tipPresets": {
    "calculationBasis": "pre-tax",
    "percentageOptions": [
      10,
      15,
      20
    ]
  },
  "transferControls": [
    {
      "accountID": "01234567-89ab-cdef-0123-456789abcdef",
      "allowDynamicDescriptor": true,
      "allowSurcharge": true,
      "debtRepayment": false,
      "partnerAccountID": "01234567-89ab-cdef-0123-456789abcdef"
    }
  ]
}

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Configurable options for a transfer

Tip presets when calculating tips for a transfer.

Child attributes

Tip presets definitions